package com.eactive.eai.rms.onl.manage.rule.transformrule;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;
import com.eactive.eai.rms.onl.manage.rule.transform.TransformVo;

@Repository("transformRuleDao")
@SuppressWarnings("unchecked")
public class TransformRuleDao  extends SqlMapClientTemplateDao {
	
	  public void deleteTransform(HashMap paramMap) throws Exception{
		  this.template.delete("Transform.deleteTransform", paramMap);
	  }	
	  
	  public void deleteTransformSourceResult(HashMap paramMap) throws Exception{
	      this.template.delete("Transform.deleteTransformSourceResult", paramMap);
	  }	
	  
	  public void deleteTransformItem(HashMap paramMap) throws Exception{
	      this.template.delete("Transform.deleteTransformItem", paramMap);
	  }	

	  public void insertTransform(HashMap map) {
	      this.template.insert("Transform.insertTransform",map);
	  }
	  
	  public void insertTransformLayout(HashMap map) {
	      this.template.insert("Transform.insertTransformSourceResult",map);
	  }
	  
	  public void insertTransformItem(HashMap map) {
	      this.template.insert("Transform.insertTransformItem",map);
	  }
	  
	  public void updateTransfromEaiSvcName(HashMap map) {
	      this.template.update("Transform.updateTransfromEaiSvcName",map);
	  }
	  
	  public void deleteRefMsgID(TransformVo vo) {
	      this.template.delete("Transform.RefMsgIDDelete",vo);
	  }
	  
	  public void insertRefMsgID(TransformVo vo) {
	      this.template.insert("Transform.RefMsgIDInsert",vo);
	  }
	  
	  public List selectLoadLayout(HashMap paramMap) throws Exception {
		  return template.queryForList("Transform.LoadLayout", paramMap);
	  }
	  
	  public List<HashMap> selectLayoutItemList(String layoutName) {
	     HashMap map = new HashMap();
	     map.put("loutName", layoutName);
	     return (List<HashMap>) this.template.queryForList("Transform.selectLayoutItems", map);
	  }
	  
	  public List<HashMap> selectLayoutTypeManDetail(HashMap map) {
		    return (List<HashMap>) this.template.queryForList("Transform.LayoutTypeManDetail", map);
		            
	  }
	  
	  public List<HashMap> getUserBizCode(HashMap map) {
		    return (List<HashMap>) this.template.queryForList("Transform.getUserBizCode", map);
		            
	  }
	  

}
